MyGUI::ChildSkinInfo Struct Reference

`#include <MyGUI_ChildSkinInfo.h>`

## Public Member Functions

| ChildSkinInfo ()
| ChildSkinInfo (std::string_view _type, const WidgetStyle &_style, std::string_view _skin, const IntCoord &_coord, const Align &_align, std::string_view _layer, std::string_view _name)
void | addParam (std::string_view _key, std::string_view _value)

## Data Fields

std::string | type
std::string | skin
std::string | name
std::string | layer
WidgetStyle | style
IntCoord | coord
Align | align
MapString | params

## Detailed Description

Definition at line 17 of file MyGUI_ChildSkinInfo.h.

## Constructor & Destructor Documentation

## ChildSkinInfo() [1/2]

MyGUI::ChildSkinInfo::ChildSkinInfo | ( |  | ) |

Definition at line 13 of file MyGUI_ChildSkinInfo.cpp.

## ChildSkinInfo() [2/2]

MyGUI::ChildSkinInfo::ChildSkinInfo | ( | std::string_view | _type,
|  | const WidgetStyle & | _style,
|  | std::string_view | _skin,
|  | const IntCoord & | _coord,
|  | const Align & | _align,
|  | std::string_view | _layer,
|  | std::string_view | _name )

Definition at line 19 of file MyGUI_ChildSkinInfo.cpp.

## Member Function Documentation

## addParam()

void MyGUI::ChildSkinInfo::addParam | ( | std::string_view | _key,
|  | std::string_view | _value )

Definition at line 40 of file MyGUI_ChildSkinInfo.cpp.

## Field Documentation

## align

Align MyGUI::ChildSkinInfo::align

Definition at line 36 of file MyGUI_ChildSkinInfo.h.

## coord

IntCoord MyGUI::ChildSkinInfo::coord

Definition at line 35 of file MyGUI_ChildSkinInfo.h.

## layer

std::string MyGUI::ChildSkinInfo::layer

Definition at line 33 of file MyGUI_ChildSkinInfo.h.

## name

std::string MyGUI::ChildSkinInfo::name

Definition at line 33 of file MyGUI_ChildSkinInfo.h.

## params

MapString MyGUI::ChildSkinInfo::params

Definition at line 37 of file MyGUI_ChildSkinInfo.h.

## skin

std::string MyGUI::ChildSkinInfo::skin

Definition at line 33 of file MyGUI_ChildSkinInfo.h.

## style

WidgetStyle MyGUI::ChildSkinInfo::style

Definition at line 34 of file MyGUI_ChildSkinInfo.h.

## type

std::string MyGUI::ChildSkinInfo::type

Definition at line 33 of file MyGUI_ChildSkinInfo.h.

The documentation for this struct was generated from the following files:

- MyGUI_ChildSkinInfo.h
- MyGUI_ChildSkinInfo.cpp